Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455379 - cron jobs for users without home doesn't work
Summary: cron jobs for users without home doesn't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: vixie-cron
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Marcela Mašláňová
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-15 08:55 UTC by Marcela Mašláňová
Modified: 2013-04-12 19:48 UTC (History)
1 user (show)

Fixed In Version: RHBA-2008-0586
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-23 13:03:51 UTC
Target Upstream Version:


Attachments (Terms of Use)
run user's cron jobs without home (deleted)
2008-07-15 12:35 UTC, Marcela Mašláňová
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0586 normal SHIPPED_LIVE vixie-cron bug fix update 2008-07-23 13:03:37 UTC

Description Marcela Mašláňová 2008-07-15 08:55:31 UTC
The user created without home directory (useradd -M) can't run cron jobs. The
reason is that code of cron is checking home directory for creating environment.
Instead of failing job after "can't chdir", it should log and work as usual.

Comment 2 RHEL Product and Program Management 2008-07-15 12:30:33 UTC
This bugzilla has Keywords FutureFeature and thus does not meet the
release criteria for FasTrack. This FasTrack request has been denied.
This bugzilla must be addressed in a minor release.

Comment 3 Marcela Mašláňová 2008-07-15 12:35:48 UTC
Created attachment 311811 [details]
run user's cron jobs without home

Comment 9 errata-xmlrpc 2008-07-23 13:03:51 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0586.html


Note You need to log in before you can comment on or make changes to this bug.